package com.ruoyi.generator.mapper;

import com.ruoyi.generator.domain.Template;

import java.util.List;

/**
 * 代码模版Mapper接口
 * 
 * @author ruoyi
 * @date 2023-11-24
 */
public interface TemplateMapper 
{
    /**
     * 查询代码模版
     * 
     * @param templateId 代码模版主键
     * @return 代码模版
     */
    public Template selectTemplateByTemplateId(Long templateId);

    /**
     * 查询代码模版列表
     * 
     * @param template 代码模版
     * @return 代码模版集合
     */
    public List<Template> selectTemplateList(Template template);

    /**
     * 新增代码模版
     * 
     * @param template 代码模版
     * @return 结果
     */
    public int insertTemplate(Template template);

    /**
     * 修改代码模版
     * 
     * @param template 代码模版
     * @return 结果
     */
    public int updateTemplate(Template template);

    /**
     * 修改代码模版状态
     *
     * @param templateStatus 状态
     * @return 结果
     */
    public int updateTemplateStatus(int templateStatus);

    /**
     * 删除代码模版
     * 
     * @param templateId 代码模版主键
     * @return 结果
     */
    public int deleteTemplateByTemplateId(Long templateId);

    /**
     * 批量删除代码模版
     * 
     * @param templateIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTemplateByTemplateIds(Long[] templateIds);

    List<Template> selectActiveTemplate();
}
